
// LengthFirstComparator.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, Dec. 2022

/* Compares two strings based on their length and alphabet.
   Shorted strings come first.
*/

import java.util.*;


public class LengthFirstComparator implements Comparator<String> 
{
  public int compare(String o1, String o2) 
  {     
    if (o1.length() > o2.length())
      return 1;
    else if (o1.length() < o2.length())
      return -1;  // shorter word comes first (is smaller)
    return o1.compareTo(o2);  // compare alphabetically
  }  // end of compare()

}  // end of LengthFirstComparator class
